> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an ACS User to an Access Group

> Adds a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management) to a specified [access group](https://docs.seam.co/low-level-apis/access-systems/user-management/assigning-users-to-access-groups).



## OpenAPI

````yaml /openapi.json post /acs/access_groups/add_user
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/access_groups/add_user:
    post:
      tags:
        - /acs
      summary: Add an ACS User to an Access Group
      description: >-
        Adds a specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management)
        to a specified [access
        group](https://docs.seam.co/low-level-apis/access-systems/user-management/assigning-users-to-access-groups).
      operationId: acsAccessGroupsAddUserPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_access_group_id:
                  description: >-
                    ID of the access group to which you want to add an access
                    system user.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user that you want to add to an
                    access group. You can only provide one of acs_user_id or
                    user_identity_id.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the desired user identity that you want to add to an
                    access group. You can only provide one of acs_user_id or
                    user_identity_id. If the ACS system contains an ACS user
                    with the same `email_address` or `phone_number` as the user
                    identity that you specify, they are linked, and the access
                    group membership belongs to the ACS user. If the ACS system
                    does not have a corresponding ACS user, one is created.
                  format: uuid
                  type: string
              required:
                - acs_access_group_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.accessGroups.addUser({
              acs_access_group_id: "55efa954-2b84-42af-8d05-fc1f892df51c",
              acs_user_id: "ebf54c67-746c-471f-a03f-86665148a84c",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/access_groups/add_user" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "acs_access_group_id": "55efa954-2b84-42af-8d05-fc1f892df51c",
              "acs_user_id": "ebf54c67-746c-471f-a03f-86665148a84c"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.access_groups.add_user(
                acs_access_group_id="55efa954-2b84-42af-8d05-fc1f892df51c",
                acs_user_id="ebf54c67-746c-471f-a03f-86665148a84c",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.access_groups.add_user(
              acs_access_group_id: "55efa954-2b84-42af-8d05-fc1f892df51c",
              acs_user_id: "ebf54c67-746c-471f-a03f-86665148a84c",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->access_groups->add_user(
                acs_access_group_id: "55efa954-2b84-42af-8d05-fc1f892df51c",
                acs_user_id: "ebf54c67-746c-471f-a03f-86665148a84c",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs access-groups add-user --acs_access_group_id
            "55efa954-2b84-42af-8d05-fc1f892df51c" --acs_user_id
            "ebf54c67-746c-471f-a03f-86665148a84c"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````